> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询客户

> 查询当前商户的客户列表信息

## 概述

本页说明 `GET /payment/open/institution/v1/pay/channelmanage/list` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

查询客户

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/channel-openapi.json GET /payment/open/institution/v1/pay/channelmanage/list
openapi: 3.1.0
info:
  title: GatePay 机构客户管理 API
  description: Gate Pay提供的网关商户解决方案。网关商户可以维护自己的客户，在使用GatePay收款和下发功能时可通过客户名称来区分交易。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /payment/open/institution/v1/pay/channelmanage/list:
    get:
      summary: 查询客户
      description: 查询当前商户的客户列表信息
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - name: channelId
          in: query
          required: false
          description: 客户名称，模糊搜索
          schema:
            type: string
            example: test
        - name: desc
          in: query
          required: false
          description: 客户描述，模糊搜索
          schema:
            type: string
        - name: channelType
          in: query
          required: false
          description: '客户类型，可选值：0或1(0=个人；1=企业)   '
          schema:
            type: string
        - name: page
          in: query
          required: true
          description: 开始页编号
          schema:
            type: int
        - name: count
          in: query
          required: true
          description: 单页记录数
          schema:
            type: int
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantChannelListDTO'
              examples:
                success:
                  summary: 响应示例
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      total: 217
                      merchantChannelList:
                        - channelId: test
                          desc: 备注
                          channelType: '0'
                          address: '0x86608d3C9f979b98a3b2417216eD859d313E339D'
                          chain: ETH
                          createTime: '1735568326554'
                          updateTime: '1735568326554'
                          customFields:
                            - code: customCode
                              name: customName
                              value: customValue
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端 ID，在 GatePay 平台申请获取
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: 用于请求校验的 HMAC-SHA256 签名
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 毫秒级时间戳，与服务端时间偏差不得超过 5 分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机 nonce，用于防止重放攻击
      schema:
        type: string
        example: '9578'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    MerchantChannelListDTO:
      type: object
      properties:
        merchantChannelList:
          type: array
          items:
            $ref: '#/components/schemas/MerchantChannel'
          description: 客户列表
    MerchantChannel:
      type: object
      required:
        - channelId
      properties:
        channelId:
          type: string
          description: 客户名称，是客户身份的唯一识别码，由商户自己录入，在商户下唯一且无法修改
        desc:
          type: string
          description: 客户描述，用于备注
        channelType:
          type: string
          enum:
            - '0'
            - '1'
          description: 客户类型 (0=个人；1=企业)
        address:
          type: string
          description: 保存客户的收款地址，用于客户提现
        chain:
          type: string
          description: 保存客户的收款网络，用于客户提现
        customFields:
          type: array
          description: 自定义字段列表
          items:
            $ref: '#/components/schemas/CustomField'
        email:
          type: string
          description: 邮箱
    CustomField:
      type: object
      properties:
        code:
          type: string
          description: 自定义字段 code，用于关联商户后台客户属性设置的预留字段 code
        name:
          type: string
          description: 自定义字段名称
        value:
          type: string
          description: 自定义字段值

````